/* --------------------------------------------
----                                       ----
----  EN MODE DE FONCTIONNEMENT COMMUN     ----
----                                       ----
---------------------------------------------*/

.loginBody {

    background-image: url("../img/poid_connection.png");
    background-size: 400px 600px;
    background-repeat: no-repeat;
    background-position: center;
    width: 310px;
    height: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    padding-bottom: 55px;
    /*border: solid purple;*/
}

.connexionOk {
    background-image: none;
    text-align: center;
    /*width: 80%;*/

}

.titre {
    text-align: center;
    padding: 15px;
    /* solid green; */

}

.input {

    height: 102px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;

    /* border: solid yellow; */
}

.input-icon-container {
    position: relative;
    display: flex;
    align-items: center;
    width: 85%;
    margin-bottom: 8px;
}

.input-icon-container .icon {
    position: absolute;
    left: 5px;
    color: #000;
    font-size: 1.2rem;
    font-weight: bold;
}

.envelope {
    border: solid 1px rgb(1, 1, 1);
    background-color: #ffffff;
    border-radius: 5px;
    padding: 10px 20px 10px 35px;
    /* Augmentation du padding gauche pour l'icône */
    font-size: 1.2em;
    font-weight: bold;
    width: 100%;
    box-sizing: border-box;
    /* Assure que le padding est inclus dans la largeur */
}

.cadena {
    padding: 10px 20px 10px 35px;
    /* Augmentation du padding gauche pour l'icône */
    font-size: 1.2em;
    border: solid 1px rgb(1, 1, 1);
    background-color: #ffffff;
    border-radius: 5px;
    font-weight: bold;
    width: 100%;
    box-sizing: border-box;
    /* Assure que le padding est inclus dans la largeur */
}

.password-field-container {
    position: relative;
    width: 85%;
}

.password-field-container .cadena {
    width: 100%;
    /* Prend toute la largeur de son conteneur */
    padding-right: 40px;
    /* Espace pour l'icône */
}

.password-field-container .toggle-password {
    position: absolute;
    right: 10px;
    /* Ajustez si nécessaire */
    top: 45%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 1.2rem;
    font-weight: bold;
    color: #000;
    /* Ajout de la couleur noire */
}


.bouton {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.bouton button {
    background-color: #478ac9;
    opacity: 1;
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 22px;
    margin: 10px 10px;
    cursor: pointer;
    border-radius: 10px;
    width: 85%;

}

.bouton button:hover {
    background-color: #478ac9;
    opacity: 0.6;
    border: none;
    color: white;
    padding: 10px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 22px;
    margin: 10px 10px;
    cursor: pointer;
    border-radius: 10px;
    width: 85%;
}

.bouton a {
    text-decoration: none;
    color: black;
}

.bouton a:hover {
    text-decoration: none;
    color: rgb(107, 56, 112);
}

.checkbox {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 10px;
}

.checkbox p {
    padding-left: 10px;
}

.alerterror {
    color: red;
    text-align: center;
    padding-top: 10px;
    /*border: solid chartreuse;*/
}

.alert {
    width: auto;
    height: 60px;
    /*border: solid red;*/

}

.option {
    font-size: small;
}


/* --------------------------------------------
----                                       ----
----  EN MODE DE FONCTIONNEMENT TELEPHONE  ----
----                                       ----
---------------------------------------------*/

@media screen and (max-width:767.98px) {}

/* -----------------------------------------
----                                    ----
----  EN MODE DE FONCTIONNEMENT PC      ----
----                                    ----
--------------------------------------------
*/


@media screen and (min-width:768px) {}